stages:
  - lint
  - build
  - deploy

image: pandoc/core

lint:
  image: koalaman/shellcheck-alpine
  stage: lint
  script:
    - shellcheck build --color=never --shell=bash > shellcheck.log
  artifacts:
    paths:
      - shellcheck.log
    expire_in: 1 week

build:
  stage: build
  before_script:
    - apk add --no-cache bash
  script:
    - chmod +x build
    - bash -c ./build
  artifacts:
    paths:
      - "**/*.html"

pages:
  stage: deploy
  script:
    - mkdir .public
    - cp -r * .public
    - mv .public public
  after_script:
    - rm .public
  artifacts:
    paths:
      - public
  only:
    - master
